using WebApp.DTOs;
using WebApp.Entities;

namespace WebApp.Mapping
{
    public static class SkillMapping
    {
        public static Skill ToSkillEntity(this SingleSkillDto SSDto, string name)
        {
            return new Skill()
            {
                SkillId = SSDto.Skill,
                Name = name
            };
        }

        public static SkillSummaryDto ToSkillSummaryDto(this Skill s)
        {
            return new SkillSummaryDto(
                s.SkillId,
                s.Name
            );
        }
    }
}
